TPMS_POLICYNAMEHASH Struct Reference

`#include <ifapi_policy_types.h>`

## Data Fields

UINT32 | count
UINT32 | i
TPM2B_NAME | objectNames [3]
char * | namePaths [3]
TPM2B_DIGEST | nameHash

## Detailed Description

Policy type TPMS_POLICYNAMEHASH

## Field Documentation

## count

UINT32 count

Computed during instantiation

## i

UINT32 i

Temporary index for policy calculation

## nameHash

TPM2B_DIGEST nameHash

computed during policy calculation

## namePaths

char* namePaths[3]

Paths of objects used for retrieving the names

## objectNames

TPM2B_NAME objectNames[3]

computed during instantiation (if not initialized)

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_policy_types.h